Bug 281812 - my logs are flooded with dbus-daemon messages related to udisks-daemon
Summary: my logs are flooded with dbus-daemon messages related to udisks-daemon
Status: RESOLVED FIXED
Alias: None
Product: solid
Classification: Unclassified
Component: libsolid-udisks (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR major with 22 votes (vote)
Target Milestone: ---
Assignee: Lukáš Tinkl
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-11 16:42 UTC by Aitor
Modified: 2012-01-21 09:48 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aitor 2011-09-11 16:42:48 UTC
Version:           4.7 (using KDE 4.7.1) 
OS:                Linux

When I start session on kde rsyslogd becomes really busy handling around 14messages/sec like the following:
dbus-daemon[1051]: ** (udisks-daemon:1426): WARNING **: Property get or set does not have an interface string as first arg

When booting into Gnome everything behaves normally, but this logging activity is reproduced when I launch knotify4 manually. It seems that this is the process behind the flood.

Udisks: 1.0.4
DBus: 1.4.14
Kde: 4.7.1
Kernel: 3.1.0-rc4 x86_64

udisks-enumerate-device-files:

/dev/dm-0
/dev/disk/by-id/dm-name-apidell-root
/dev/disk/by-id/dm-uuid-LVM-sFRX2WL2K0nMyuXIHbfKjcIGb24QPwHhUvLtPdRDJVu7IMfbm5liiI12HFInfZHp
/dev/disk/by-uuid/6e736f4b-c993-4336-9f89-8d07228e380a
/dev/sdb1
/dev/disk/by-id/ata-SAMSUNG_HM500JI_S1WFJDRZ139098-part1
/dev/disk/by-id/scsi-SSAMSUNG_HM500JI_801130168383-part1
/dev/disk/by-id/wwn-0x50024e9002dcb0b6-part1
/dev/disk/by-uuid/37955750-9789-436a-b5aa-230c3fda31f1
/dev/disk/by-path/pci-0000:00:1a.7-usb-0:4.2:1.0-scsi-0:0:0:0-part1
/dev/sdb2
/dev/disk/by-id/ata-SAMSUNG_HM500JI_S1WFJDRZ139098-part2
/dev/disk/by-id/scsi-SSAMSUNG_HM500JI_801130168383-part2
/dev/disk/by-id/wwn-0x50024e9002dcb0b6-part2
/dev/disk/by-uuid/a789e7a9-3277-4ad2-9d1e-806fc310be2a
/dev/disk/by-path/pci-0000:00:1a.7-usb-0:4.2:1.0-scsi-0:0:0:0-part2
/dev/dm-2
/dev/disk/by-id/dm-name-apidell-swap
/dev/disk/by-id/dm-uuid-LVM-sFRX2WL2K0nMyuXIHbfKjcIGb24QPwHhyx9xih1ET0rbgLs768ZWbo1wBarpn4OZ
/dev/disk/by-uuid/5c03eaff-884c-4357-82b3-59761ee2e391
/dev/dm-1
/dev/disk/by-id/dm-name-apidell-var
/dev/disk/by-id/dm-uuid-LVM-sFRX2WL2K0nMyuXIHbfKjcIGb24QPwHhsTcNsqnKYSpTpgrGWKoccx3ajiUpX7G9
/dev/disk/by-uuid/1dd5ee80-39f7-49ca-9fc3-72e138e9ec7c
/dev/dm-3
/dev/disk/by-id/dm-name-apidell-home
/dev/disk/by-id/dm-uuid-LVM-sFRX2WL2K0nMyuXIHbfKjcIGb24QPwHhGAFsaunOB2D1v1OB6PPpb9DBN60HiL1I
/dev/disk/by-uuid/9be8d037-d8dc-47c0-bce5-badd2b317cde
/dev/sr0
/dev/disk/by-id/ata-TSSTcorp_DVD+_-RW_TS-U633F_R3486GSSB08294
/dev/disk/by-path/pci-0000:00:1f.2-scsi-1:0:0:0
/dev/sda
/dev/disk/by-id/ata-SAMSUNG_SSD_PB22-JS3_2.5__128GB_DCF3800941SE941B4260
/dev/disk/by-id/scsi-SATA_SAMSUNG_SSD_PB2DCF3800941SE941B4260
/dev/disk/by-id/wwn-0x50000f0056424431
/dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0
/dev/sda1
/dev/disk/by-id/ata-SAMSUNG_SSD_PB22-JS3_2.5__128GB_DCF3800941SE941B4260-part1
/dev/disk/by-id/scsi-SATA_SAMSUNG_SSD_PB2DCF3800941SE941B4260-part1
/dev/disk/by-id/wwn-0x50000f0056424431-part1
/dev/disk/by-uuid/a3ef1a7f-be4e-4032-ad83-eff9b4d1e7f1
/dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part1
/dev/sda2
/dev/disk/by-id/ata-SAMSUNG_SSD_PB22-JS3_2.5__128GB_DCF3800941SE941B4260-part2
/dev/disk/by-id/scsi-SATA_SAMSUNG_SSD_PB2DCF3800941SE941B4260-part2
/dev/disk/by-id/wwn-0x50000f0056424431-part2
/dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part2
/dev/sdb
/dev/disk/by-id/ata-SAMSUNG_HM500JI_S1WFJDRZ139098
/dev/disk/by-id/scsi-SSAMSUNG_HM500JI_801130168383
/dev/disk/by-id/wwn-0x50024e9002dcb0b6
/dev/disk/by-path/pci-0000:00:1a.7-usb-0:4.2:1.0-scsi-0:0:0:0


Reproducible: Always

Steps to Reproduce:
Login into kde
Check the logs and see how they grow

Actual Results:  
Logs are flooded with udev messages related to udisks.
/var partition is filled very quickly rendering the system unusable and stressing SSD drive.
rsyslog consumes a significative amount of cycles.

Expected Results:  
no activity reported as nothing is changing
Comment 1 Aitor 2011-09-11 20:58:35 UTC
After some investigation I see that is Amarok which triggers this behaviour.
Comment 2 Aitor 2011-09-12 20:13:11 UTC
Digikam 2.1 also triggers these messages. It seems to affect these kde programs that deal with many files
Comment 4 Andrea Scarpino 2011-09-13 20:22:48 UTC
Forgot to say:
Arch Linux x86_64
dbus 1.4.14
udev 173
udisks 1.0.4
amarok 2.4.3
kde 4.7.1
kernel 3.0.4
Comment 5 Andrea Scarpino 2011-09-15 07:52:37 UTC
Neither amarok or digikam are running or my system, but I get a lot of these messages in my logs. About 60 per minute, and logs reaches 400MB in 2-3 days.

I forgot to say that I'm using systemd.

$ tail -n 50 /var/log/messages.log
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:10 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first arg
Sep 15 09:44:11 localhost dbus-daemon[1838]: ** (udisks-daemon:2156): WARNING **: Property get or set does not have an interface string as first ag
Comment 6 Aitor 2011-09-15 08:07:17 UTC
I don't know if it's relevant, but I should say I'm using systemd as well.
Comment 7 Andrea Scarpino 2011-09-15 08:17:21 UTC
I just tried without systemd and everything is fine.

systemd 35
Comment 8 Kilian Lackhove 2011-09-19 21:39:49 UTC
I can confirm this bug on archlinux with systemd 35

crabman
Comment 9 Dennis veatch 2011-09-21 08:43:44 UTC
It happens here on Linux-Linux. If I echo out /var/log/messages, then (while dolphin is up) click on root that message will show up. Actually any moving about the filesystem via dolphin triggers that warning. Like others, I am running systemd - without sysvinit compatibility.
Comment 10 Dennis veatch 2011-09-21 09:57:01 UTC
Some additional info;

Without dolphin, digikam or amarok running and clearing out /var/log/messages. I plugin a usb stick. The device notifier pops up showing the device. Looking at messages shows;

Sep 21 05:46:53 sidney kernel: usb 2-5: new high speed USB device number 5 using ehci_hcd
Sep 21 05:46:53 sidney mtp-probe: checking bus 2, device 5: "/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5"
Sep 21 05:46:53 sidney mtp-probe: bus: 2, device: 5 was not an MTP device
Sep 21 05:46:53 sidney kernel: usb 2-5: New USB device found, idVendor=13fe, idProduct=1f00
Sep 21 05:46:53 sidney kernel: usb 2-5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Sep 21 05:46:53 sidney kernel: usb 2-5: Product: DIESEL
Sep 21 05:46:53 sidney kernel: usb 2-5: Manufacturer: OCZ
Sep 21 05:46:53 sidney kernel: usb 2-5: SerialNumber: 50E6971E001285
Sep 21 05:46:53 sidney kernel: scsi7 : usb-storage 2-5:1.0
Sep 21 05:46:53 sidney kernel: dbus-daemon[3193]: (upowerd:3408): UPower-Linux-DEBUG: SYSFS add /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5
Sep 21 05:46:53 sidney kernel: dbus-daemon[3193]: (upowerd:3408): UPower-DEBUG: failed to coldplug /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5
Sep 21 05:46:53 sidney kernel: dbus-daemon[3193]: (upowerd:3408): UPower-DEBUG: failed to coldplug /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5
Sep 21 05:46:53 sidney kernel: dbus-daemon[3193]: (upowerd:3408): UPower-Linux-DEBUG: SYSFS add /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0
Sep 21 05:46:53 sidney kernel: dbus-daemon[3193]: (upowerd:3408): UPower-DEBUG: failed to coldplug /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0
Sep 21 05:46:53 sidney kernel: dbus-daemon[3193]: (upowerd:3408): UPower-DEBUG: failed to coldplug /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0
Sep 21 05:46:53 sidney kernel: dbus-daemon[3193]: **** scsi_host ADDING /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/scsi_host/host7
Sep 21 05:46:53 sidney kernel: dbus-daemon[3193]: **** scsi_host IGNORING ADD /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/scsi_host/host7
Sep 21 05:46:54 sidney kernel: scsi 7:0:0:0: Direct-Access     OCZ      DIESEL           PMAP PQ: 0 ANSI: 0 CCS
Sep 21 05:46:54 sidney kernel: sd 7:0:0:0: Attached scsi generic sg4 type 0
Sep 21 05:46:54 sidney kernel: sd 7:0:0:0: [sdd] 7831552 512-byte logical blocks: (4.00 GB/3.73 GiB)
Sep 21 05:46:54 sidney kernel: sd 7:0:0:0: [sdd] Write Protect is off
Sep 21 05:46:54 sidney kernel: sd 7:0:0:0: [sdd] Assuming drive cache: write through
Sep 21 05:46:54 sidney kernel: sd 7:0:0:0: [sdd] Assuming drive cache: write through
Sep 21 05:46:54 sidney kernel: sdd: sdd1
Sep 21 05:46:54 sidney kernel: sd 7:0:0:0: [sdd] Assuming drive cache: write through
Sep 21 05:46:54 sidney kernel: sd 7:0:0:0: [sdd] Attached SCSI removable disk
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** ADDING /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/target7:0:0/7:0:0:0/block/sdd
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** UPDATING /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/target7:0:0/7:0:0:0/block/sdd
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** ADDED /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/target7:0:0/7:0:0:0/block/sdd
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** EMITTING ADDED for /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/target7:0:0/7:0:0:0/block/sdd
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** ADDING /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/target7:0:0/7:0:0:0/block/sdd/sdd1
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** UPDATING /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/target7:0:0/7:0:0:0/block/sdd/sdd1
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** ADDED /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/target7:0:0/7:0:0:0/block/sdd/sdd1
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** EMITTING ADDED for /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/target7:0:0/7:0:0:0/block/sdd/sdd1
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (polkitd:3293): DEBUG: system-bus-name::1.20 is inquiring whether system-bus-name::1.12 is authorized for org.freedesktop.udisks.filesystem-mount
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (polkitd:3293): DEBUG:  user of caller is unix-user:root
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (polkitd:3293): DEBUG:  user of subject is unix-user:dveatch
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (polkitd:3293): DEBUG: checking whether system-bus-name::1.12 is authorized for org.freedesktop.udisks.filesystem-mount
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (polkitd:3293): DEBUG:   0x7b9ec0
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (polkitd:3293): DEBUG:  subject is in session /org/freedesktop/ConsoleKit/Session1 (local=1 active=1)
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (polkitd:3293): DEBUG:  is authorized (has implicit authorization local=1 active=1)
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (polkitd:3293): DEBUG:
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** USING MOUNT OPTIONS 'uhelper=udisks,nodev,nosuid,uid=1000,gid=1000,shortname=mixed,dmask=0077,utf8=1,showexec' FOR DEVICE /dev/sdd1
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** EMITTING JOB-CHANGED for /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/target7:0:0/7:0:0:0/block/sdd/sdd1
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: helper(pid 10539): launched job mount on /dev/sdd1
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** /proc/self/mountinfo changed
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** MOUNTED /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/target7:0:0/7:0:0:0/block/sdd/sdd1
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** CHANGING /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/target7:0:0/7:0:0:0/block/sdd/sdd1
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** UPDATING /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/target7:0:0/7:0:0:0/block/sdd/sdd1
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** CHANGED /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/target7:0:0/7:0:0:0/block/sdd/sdd1
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: helper(pid 10539): completed with exit code 0
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** UPDATING /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/target7:0:0/7:0:0:0/block/sdd/sdd1
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** EMITTING CHANGED for /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/target7:0:0/7:0:0:0/block/sdd/sdd1
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: **** EMITTING JOB-CHANGED for /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/host7/target7:0:0/7:0:0:0/block/sdd/sdd1
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Sep 21 05:46:55 sidney kernel: dbus-daemon[3193]: ** (udisks-daemon:3427): WARNING **: Property get or set does not have an interface string as first arg
Comment 11 Andrea Scarpino 2011-10-10 11:21:22 UTC
This is solved from me after the recent KDE 4.7.2 update
Comment 12 Aitor 2011-10-10 21:25:23 UTC
It seems to be fixed for me as well in KDE 4.7.2.
Changing status to RESOLVED, FIXED.
Comment 13 Paolo Cretaro 2011-10-11 16:53:33 UTC
Still having this with kde-4.7.2 on Frugalware Linux:
frugalware dbus-daemon[545]: ** (udisks-daemon:879): WARNING **: Property get or set does not have an interface string as first arg

Systemd: 36 
Udisks: 1.0.4
DBus: 1.4.16
Kde: 4.7.2
Kernel: 3.0.4 i686
Comment 14 Andrea Scarpino 2011-10-11 17:41:35 UTC
(In reply to comment #13)
> Systemd: 36 
> Udisks: 1.0.4
> DBus: 1.4.16
> Kde: 4.7.2
> Kernel: 3.0.4 i686
Kernel is 3.0.6 here on 64bit, anyway this seems not related to KDE then
Comment 15 cbxbiker61 2012-01-18 20:37:49 UTC
FYI, this is not a kde bug.

The log storm was caused by dbus-glib.

I had the log storm with dbus-glib 0.92 and it has been eliminated in dbus-glib 0.98.
Comment 16 Paolo Cretaro 2012-01-21 09:48:51 UTC
(In reply to comment #15)
> FYI, this is not a kde bug.
> 
> The log storm was caused by dbus-glib.
> 
> I had the log storm with dbus-glib 0.92 and it has been eliminated in dbus-glib
> 0.98.
seems so,
just upgraded to dbus-glib-0.98 and the log is now clear